import express from "express";
import mongoose from "mongoose";
import cors from "cors";
import { API_PORT, MONGO_URL } from "./config/contants";

const app = express();
app.use(cors());

// Routes
const authRoute = require("./routes/auth");

// Environment constants

// Service Initialisation

mongoose.connect(MONGO_URL, {
  useFindAndModify: false,
  useNewUrlParser: true,
  useUnifiedTopology: true,
  useCreateIndex: true,
});

// Express Initialisation
app.use(express.urlencoded({ extended: true }));
app.use(express.json());

// Routes
app.use("/auth", authRoute);

app.listen(API_PORT, () => console.log(`Listening on port ${API_PORT}`));
